Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.renderer
Class AreaRendererEndType

    java.lang.Object
      org.jfree.chart.renderer.AreaRendererEndType

All Implemented Interfaces:
  java.io.Serializable

public final class AreaRendererEndType
extends java.lang.Object
implements java.io.Serializable

An enumeration of the 'end types' for an area renderer.

See Also:
  Serialized Form

Field Summary
`static AreaRendererEndType` | `LEVEL` The area is levelled at the first or last value.
`static AreaRendererEndType` | `TAPER` The area tapers from the first or last value down to zero.
`static AreaRendererEndType` | `TRUNCATE` The area is truncated at the first or last value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`java.lang.String` | `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TAPER

    public static final AreaRendererEndType TAPER

  The area tapers from the first or last value down to zero.

### TRUNCATE

    public static final AreaRendererEndType TRUNCATE

  The area is truncated at the first or last value.

### LEVEL

    public static final AreaRendererEndType LEVEL

  The area is levelled at the first or last value.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Returns:
    The string.

### equals

    public boolean equals(java.lang.Object o)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Parameters:
    `o` - the other object.
  Returns:
    A boolean.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD